> ## Documentation Index
> Fetch the complete documentation index at: https://seam-feat-mintlify-migration-iteration.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Listing Credentials and Associated Entrances

> Learn how to list entrances associated with a credential and credentials associated with an entrance.

Once you have [created credentials](../managing-credentials), you can retrieve the set of entrances associated with a credential. You can also use an `acs_entrance` endpoint to retrieve the credentials that grant access to a specific entrance.

## List Entrances Associated with a Credential

To [list the entrances to which a specific credential grants access](/api/acs/credentials/list_accessible_entrances), use `list_accessible_entrances` and provide the `acs_credential_id`.

<Tabs>
  <Tab title="JavaScript">
    **Request:**

    ```javascript theme={null}
    await seam.acs.credentials.listAccessibleEntrances({
      acs_credential_id: '66666666-6666-6666-6666-666666666666',
    })
    ```

    **Response:**

    <Info>
      This response contains manufacturer-specific metadata that may vary by
      [manufacturer](/device-and-system-integration-guides#access-control-systems).
    </Info>

    ```json theme={null}
    [
      {
        acs_entrance_id: '55555555-5555-5555-5555-555555555555',
        acs_system_id: '11111111-1111-1111-1111-111111111111',
        display_name: 'Guest Lock 2',
        ...
      },
      ...
    ]
    ```
  </Tab>

  <Tab title="cURL">
    **Request:**

    ```bash theme={null}
    # Use GET or POST.
    curl -X 'GET' \
      'https://connect.getseam.com/acs/credentials/list_accessible_entrances' \
      -H 'accept: application/json' \
      -H "Authorization: Bearer ${API_KEY}" \
      -H 'Content-Type: application/json' \
      -d '{
      "acs_credential_id": "66666666-6666-6666-6666-666666666666"
    }'
    ```

    **Response:**

    <Info>
      This response contains manufacturer-specific metadata that may vary by
      [manufacturer](/device-and-system-integration-guides#access-control-systems).
    </Info>

    ```json theme={null}
    {
      "acs_entrances": [
        {
          "acs_entrance_id": "55555555-5555-5555-5555-555555555555",
          "acs_system_id": "11111111-1111-1111-1111-111111111111",
          "display_name": "Guest Lock 2",
          ...
        },
        ...
      ],
      "ok": true
    }
    ```
  </Tab>

  <Tab title="Python">
    **Request:**

    ```python theme={null}
    seam.acs.credentials.list_accessible_entrances(
      acs_credential_id="66666666-6666-6666-6666-666666666666"
    )
    ```

    **Response:**

    <Info>
      This response contains manufacturer-specific metadata that may vary by
      [manufacturer](/device-and-system-integration-guides#access-control-systems).
    </Info>

    ```
    [
      AcsEntrance(
        acs_entrance_id='55555555-5555-5555-5555-555555555555',
        acs_system_id='11111111-1111-1111-1111-111111111111',
        display_name='Guest Lock 2',
        ...
      ),
      ...
    ]
    ```
  </Tab>

  <Tab title="Ruby">
    **Request:**

    ```ruby theme={null}
    # Coming soon!
    ```

    **Response:**

    ```
    # Coming soon!
    ```
  </Tab>

  <Tab title="PHP">
    **Request:**

    ```php theme={null}
    $seam->acs->credentials->list_accessible_entrances(
      acs_credential_id: "66666666-6666-6666-6666-666666666666"
    );
    ```

    **Response:**

    <Info>
      This response contains manufacturer-specific metadata that may vary by
      [manufacturer](/device-and-system-integration-guides#access-control-systems).
    </Info>

    ```json theme={null}
    [
      {
        "acs_entrance_id": "55555555-5555-5555-5555-555555555555",
        "acs_system_id": "11111111-1111-1111-1111-111111111111",
        "display_name": "Guest Lock 2",
        ...
      },
      ...
    ]
    ```
  </Tab>

  <Tab title="C#">
    **Request:**

    ```csharp theme={null}
    seam.CredentialsAcs.ListAccessibleEntrances(
      acsCredentialId: "66666666-6666-6666-6666-666666666666"
    );
    ```

    **Response:**

    <Info>
      This response contains manufacturer-specific metadata that may vary by
      [manufacturer](/device-and-system-integration-guides#access-control-systems).
    </Info>

    ```json theme={null}
    {
      "acs_entrance_id": "55555555-5555-5555-5555-555555555555",
      "acs_system_id": "11111111-1111-1111-1111-111111111111",
      "display_name": "Guest Lock 2",
      ...
    }
    ...
    ```
  </Tab>
</Tabs>

***

## List Credentials Associated with an Entrance

To list the credentials that grant access to a specific entrance, use `list_credentials_with_access` method for the `acs_entrance` object and provide the `acs_entrance_id`. For details, see [Retrieving Entrance Details](../retrieving-entrance-details#list-credentials-associated-with-an-entrance).
